package org.rcisoft.business.manage.controller;

import io.swagger.annotations.ApiOperation;
import org.rcisoft.business.device.maintenance.entity.BusDeviceInspect;
import org.rcisoft.business.manage.service.BusDeviceInspectService;
import org.rcisoft.core.model.PersistModel;
import org.rcisoft.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@RestController
@RequestMapping("busdeviceminspect")
public class BusDeviceInspectController {
    @Autowired
    private BusDeviceInspectService busDeviceInspectService;

    @ApiOperation(value="添加巡检记录", notes="添加巡检记录")
    @PostMapping(value = "/add")
    public Result add(@Valid BusDeviceInspect busDeviceInspect) {
        PersistModel data = busDeviceInspectService.save(busDeviceInspect);
        return Result.builder(data);
    }
}
